aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRaphael Cotty <raphael.cotty@gmail.com>2021-05-01 16:22:46 +0200
committerRaphaƫl Cotty <raphael.cotty@gmail.com>2021-05-05 09:00:54 +0000
commit1c3e61227d7e474bd56cc38fdc259f3cc5d3a661 (patch)
tree59cd33477cf30814d92443b07364fe02b7fa6a0a
parent14b897863f6d9d28bde00a49c297c0dafd803e45 (diff)
docker: Update images to Qbs 1.18.2
Qbs 1.21.0 will removes the "product" variable in the Export items after it was deprecated in Qbs 1.18. So in order to build Qbs with Qbs, the installed Qbs version must be updated. Change-Id: Ibee0676823e41defc5d613e486be0a230c431905 Reviewed-by: Ivan Komissarov <ABBAPOH@gmail.com>
-rw-r--r--docker-compose.yml12
1 files changed, 6 insertions, 6 deletions
diff --git a/docker-compose.yml b/docker-compose.yml
index e00b641c1..13b4f6a2f 100644
--- a/docker-compose.yml
+++ b/docker-compose.yml
@@ -21,24 +21,24 @@ services:
focal:
<< : *linux
hostname: focal
- image: ${DOCKER_USER:-qbsbuild}/qbsdev:focal-5.15.2_1.17.1-1
+ image: ${DOCKER_USER:-qbsbuild}/qbsdev:focal-5.15.2_1.18.2-0
build:
dockerfile: docker/focal/Dockerfile
context: .
args:
QT_VERSION: 5.15.2
- QTCREATOR_VERSION: 4.13.3
+ QTCREATOR_VERSION: 4.14.2
focal-qt6:
<< : *linux
hostname: focal-qt6
- image: ${DOCKER_USER:-qbsbuild}/qbsdev:focal-qt6-6.0.2_1.18.1-0
+ image: ${DOCKER_USER:-qbsbuild}/qbsdev:focal-qt6-6.0.2_1.18.2-0
build:
dockerfile: docker/focal/Dockerfile
context: .
args:
QT_VERSION: 6.0.2
- QTCREATOR_VERSION: 4.14.1
+ QTCREATOR_VERSION: 4.14.2
focal-android-513:
<< : *linux
@@ -97,13 +97,13 @@ services:
context: .
windows:
- image: ${DOCKER_USER:-qbsbuild}/qbsdev:windowsservercore-5.15.0_1.16.0-0
+ image: ${DOCKER_USER:-qbsbuild}/qbsdev:windowsservercore-5.15.0_1.18.2-0
build:
dockerfile: docker/windowsservercore/Dockerfile
context: .
args:
QT_VERSION: 5.15.0
- QBS_VERSION: 1.16.0
+ QBS_VERSION: 1.18.2
working_dir: 'C:/qbs'
environment:
- BUILD_OPTIONS